<script>
  export let progress

  $: percent = progress * 100
</script>

<progress class="my-1 h-4 block w-full" max="100" value={percent}>
  {percent}
</progress>

<style>
  progress {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    border: none;
    border-radius: 290486px; /* round */
    overflow: hidden;
    padding: 0;
  }
  progress::-moz-progress-bar {
    background: #4a4a4a;
  }
  progress::-webkit-progress-value {
    background: #4a4a4a;
  }
  progress::-webkit-progress-bar {
    background: #eaeaea;
  }
  progress::-ms-fill {
    background: #4a4a4a;
    border: none;
  }
</style>
